package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PrecipitationAggregate;
import com.lightinit.hsdatashow.entity.PrecipitationAggregateExample;
import com.lightinit.hsdatashow.model.admin.PrecipitationAggregateListModel;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface PrecipitationAggregateMapper {
    long countByExample(PrecipitationAggregateExample example);

    int deleteByExample(PrecipitationAggregateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrecipitationAggregate record);

    int insertSelective(PrecipitationAggregate record);

    List<PrecipitationAggregate> selectByExample(PrecipitationAggregateExample example);

    PrecipitationAggregate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrecipitationAggregate record, @Param("example") PrecipitationAggregateExample example);

    int updateByExample(@Param("record") PrecipitationAggregate record, @Param("example") PrecipitationAggregateExample example);

    int updateByPrimaryKeySelective(PrecipitationAggregate record);

    int updateByPrimaryKey(PrecipitationAggregate record);

    List<PrecipitationAggregate> getPrecipitationAggregate();

    List<PrecipitationAggregateListModel> getPrecipitationAggregateList(@Param("year") int year);

    BigDecimal getnewPrecipitationAggregate(int year);
}